# ShutdownManager Class Reference

`#include <ShutdownManager.hpp>`

List of all members.

## Detailed Description

ShutdownManager: used to manage shutdown for the main thread

Definition at line 23 of file ShutdownManager.hpp.

## Public Member Functions

| ShutdownManager (void)
| ~ShutdownManager ()
void | shutdown (void)
| signals the shutdown condition
void | wait (void)
| blocks until the shutdown condition has been signaled

The documentation for this class was generated from the following file:

- net/utils/ShutdownManager.hpp